### Method

# Fwupd Client get_releases_async

since: 1.5.0

#### Declaration [src]

    void
    fwupd_client_get_releases_async (
      FwupdClient* self,
      const gchar* device_id,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer callback_data
    )

#### Description [src]

Gets all the releases for a specific device

You must have called `fwupd_client_connect_async()` on `self` before using this method.

Available since: 1.5.0

This method completes asynchronously. Use `fwupd_client_get_releases_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`device_id`

  Type: `const gchar*`

  The device ID.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  The function to run on completion.

  The argument can be `NULL`.

`callback_data`

  Type: `gpointer`

  The data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.